[Previous] [Next] [Contents]

## `SG::FactorPerm` -- tests whether a permutation factorizes into a direct product

#### Call(s)

`SG::FactorPerm(perm)`

#### Parameters

`perm` | - | any list denoting a permutation

#### Introduction

Given a permutation `perm` in Sn, the `SG::FactorPerm` function tests whether `perm` belongs to a Young sub-group Si x Sj

The result is a couple `Test,l` where `Test` is a boolean and `l` the minimal length of a left block.

#### Example 1

    >> muEC::SG::FactorPerm( [3,1,2,5,4,7,6] );

                                      TRUE, 3

#### Related Functions

``

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package